import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select,Switch} from 'antd';

const FormItem = Form.Item;


export default class T23S extends Component
{

    name='23S'
    desp = "Cancellation Request"
    
    pattern = ""
    tno = -1
    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col>
            <FormItem
            help={errmsg.s1}
            validateStatus={errmsg.s1?'error':null} 
            
            >
                 <Switch  size="default" value={value.s1=='CANCEL'?true:false} onChange={bol=>{
                     let val=bol?"CANCEL":"";
                     this.onChange(val)
                     }
                }  />
                </FormItem>
            </Col>
            
        </Row>)
    }
}